No widgets enabled


  • Plugin & Theme Dev

    If I disable the plugin nodebb-widget-essentials I get the following errors and cannot use the comfort of ajaxify 😞

    Uncaught TypeError: Object #<Object> has no method 'match' templates.js:101
    checkConditional templates.js:101
    parseValue templates.js:207
    parse templates.js:275
    templates.parse templates.js:38
    (anonymous function) widgets.js:38
    c.onPacket socket.io.js:2
    d.onPacket socket.io.js:2
    c.onPacket socket.io.js:2
    c.onData socket.io.js:2
    websocket.onmessage socket.io.js:2
    

    (ACP)
    and

    Uncaught TypeError: Object #<Object> has no method 'match' nodebb.min.js:11214
    checkConditional nodebb.min.js:11214
    parseValue nodebb.min.js:11320
    parse nodebb.min.js:11388
    templates.parse nodebb.min.js:11151
    (anonymous function) nodebb.min.js:11789
    c.onPacket socket.io.js:2
    d.onPacket socket.io.js:2
    c.onPacket socket.io.js:2
    c.onData socket.io.js:2
    websocket.onmessage socket.io.js:2
    

    (non ACP)



  • @frissdiegurke said:

    If I disable the plugin nodebb-widget-essentials

    Just out of curiosity, why did you disable it?


  • Plugin & Theme Dev

    @planner I wanted to know if there is any plugin that adds user-settings therefore I could look into it's code. So I compared the settings to those without any plugin enabled... 😉


  • GNU/Linux Admin

    @frissdiegurke Confirmed that this happens as well. Any configured widgets end up breaking ajaxify because the requisite template doesn't exist.

    I repro'd this by running ./nodebb reset themes && ./nodebb reset plugins on a clean install, which comes with 1 pre-configured global footer widget (I think?)

    Take a look at #1317 -- a ./nodebb reset widgets should move all of them into the Drafts zone, and that should resolve it (temporarily, at least).

    Perhaps widget-essentials should not be a disable-able plugin?


  • GNU/Linux Admin

    @julian said:

    Perhaps widget-essentials should not be a disable-able plugin?

    If @psychobunny can't find a solution/workaround, that is.


Log in to reply
 

Suggested Topics

| |